cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

PIXMA MP620B Scanner and Mac OS 10.15.4 Catalina

Jeffrey_
Apprentice

Good Morning,

 

I have upgraded to macOS Catalina 10.15.4 and I have a Canon MP620B multifunction printer. The printer works fine but I can't get the scanner to work. No Catalina 10.15.4 drivers available on the Canon Driver page. I have the printer connected to my iMac via USB. Any solutions out there?

 

Thanks.   

2 ACCEPTED SOLUTIONS

Hi Jeffrey_

 

You are eligible for Canon's Upgrade Program.  This is for out of warranty units which have been diagnosed to require service, or for some reason are incompatible with a new or upgraded system.  This option allows you a one-time opportunity to purchase a replacement product, discounted from the list price.

 

To help you get up and running quickly, we also offer free standard shipping (if the order is completed by 12:30PM ET).  If you would like to take part in this option, please call our Sales Department at (866) 443-8002 seven days a week, 8am to Midnight.  Let them know you have been working with technical support and the Canon Upgrade Program was offered.

 

 

 

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.

View solution in original post

Hi Jeffrey,

 

Canon does not have Catalina drivers for this model printer. The driver that installed was most likely Apples generic printer driver. Since your model printer is not compatible with Catalina OS, I recommend using the Canon Upgrade Program.

 

You can use the information that was posted earlier in the thread to contact our sales team about the upgrade program.

 

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.

 

 

View solution in original post

6 REPLIES 6

shadowsports
Legend
Legend

Greetings,

There are no drivers for the scanner since OSX Mavericks v10.9

 

Printing and scanner might work in certain applications but support will be spotty or non-existent at best.

 

The 620B was released is Jan of 2010.  Another option would be to use under a different OS.

 

Might be time to purchase a new device.   

~Rick
Bay Area - CA


~R5 C (1.0.6.1) ~RF Trinity, ~RF 100 Macro, ~RF 100~400, ~RF 100~500, +RF 1.4x TC, +Canon Control Ring, BG-R10

~DxO PhotoLab Elite ~DaVinci Resolve ~Windows11 Pro ~ImageClass MF644Cdw/MF656Cdw ~Pixel 8 ~CarePaks Are Worth It

Thanks for the fast reply... I guess its time upgrade after 10 years. 

Hi Jeffrey_

 

You are eligible for Canon's Upgrade Program.  This is for out of warranty units which have been diagnosed to require service, or for some reason are incompatible with a new or upgraded system.  This option allows you a one-time opportunity to purchase a replacement product, discounted from the list price.

 

To help you get up and running quickly, we also offer free standard shipping (if the order is completed by 12:30PM ET).  If you would like to take part in this option, please call our Sales Department at (866) 443-8002 seven days a week, 8am to Midnight.  Let them know you have been working with technical support and the Canon Upgrade Program was offered.

 

 

 

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.

CoriAda
Apprentice

Hello Canon Support,

I have the printer and can print and scan on my Yosemite MBP 2009.  However, I got another MBP 2014 on Catalina and need to install the printer.  Is there a way to install the printer --just want to print even if the scanner wouldn't work.

@Jeffrey... Hi! you said you can print to 620B but not scan.  I'd like to be able to do that w/ my 2014 MBP.  Did you upgrade your OS to Catalina from older OS or did you install on Catalina w/ drivers for older OS version, i.e. 10.9?

 

Thanks for helping!

Hello, yes I did upgrade to Catalina from an older MacOS. Catalina was able to recognize my MP620 and install the drivers for it but not the scanner. 

 

 

 

 

 

 

Hi Jeffrey,

 

Canon does not have Catalina drivers for this model printer. The driver that installed was most likely Apples generic printer driver. Since your model printer is not compatible with Catalina OS, I recommend using the Canon Upgrade Program.

 

You can use the information that was posted earlier in the thread to contact our sales team about the upgrade program.

 

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.

 

 

Avatar
click here to view the press release
Announcements